Skip to main content
POST
/
api
/
v1
/
boards
/
{board_id}
/
shares
Share Board
curl --request POST \
  --url https://api.example.com/api/v1/boards/{board_id}/shares \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "permission": "viewer"
}
'
{
  "board_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "permission": "<string>",
  "realm_id": "<string>",
  "shared_by": "<string>",
  "user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required

Body

application/json

Schema for sharing a board with a user.

user_id
string
required
Required string length: 1 - 255
permission
string
default:viewer
Pattern: ^(viewer|editor|admin)$

Response

Successful Response

Schema for board share response.

board_id
string
required
created_at
string<date-time>
required
id
string
required
permission
string
required
realm_id
string
required
shared_by
string
required
user_id
string
required
Last modified on May 8, 2026